package io.platform.base.common.constant.enums;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;

@JsonSerialize(using = JsonEnumSerializer.class)
public enum LV_ENUNS implements BaseEnum<LV_ENUNS,Integer> {
    T1(1,"SIS"),
    T2(2,"SSS+"),
    T3(3,"SSS"),
    T4(4,"SCS+"),
    T5(5,"SCS"),
    T6(6,"SJS");

    private Integer code;
    private String message;

    LV_ENUNS(int code, String message) {
        this.code = code;
        this.message = message;
    }
 
    @Override
    public Integer getCode() {
        return code;
    }
 
    @Override
    public String getMessage() {
        return message;
    }
}