package io.platform.base.common.utils;

public enum ResultEnum {
	SUCCESS("0000", "成功"),
	DEALCOMPLETE("0002","处理完成！"),
	TIMEOUT("0003","等待处理超时！"),
	PARAMERROR("0004","参数错误！"),
	NOPERMISSIONS("0005","没有访问权限！"),
	DATABASEERROR("0006","数据处理异常"),
	
	ERRORAUTHCODE("1001","验证码错误！"),
	
	ERROR("0001", "错误");

	private String code = "";
	private String message = "";

	private ResultEnum(String code, String message) {
		this.code = code;
		this.message = message;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}
}
