package io.platform.sys.dto;

import lombok.Data;

@Data
public class SysSmsLogDto implements java.io.Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * 主键       db_column: id
     */
    private String id;
    /**
     * 操作人       db_column: user_id
     */
    private Long userId;
    /**
     * 操作人       db_column: user_name
     */
    private Long userName;
    /**
     * 必填参数。发送内容（1-500 个汉字）UTF-8编码       db_column: content
     */
    private String content;
    /**
     * 必填参数。手机号码。多个以英文逗号隔开       db_column: mobile
     */
    private String mobile;
    /**
     * 可选参数。发送时间，填写时已填写的时间发送，不填时为当前时间发送       db_column: stime
     */
    private java.util.Date stime;
    /**
     * 必填参数。用户签名       db_column: sign
     */
    private String sign;
    /**
     * 必填参数。固定值 pt       db_column: type
     */
    private String type;
    /**
     * templateId       db_column: template_id
     */
    private String templateId;
    /**
     * 可选参数。扩展码，用户定义扩展码，只能为数字       db_column: extno
     */
    private String extno;
    /**
     * 1成功 0失败       db_column: send_status
     */
    private Integer sendStatus;
    /**
     * 发送编号       db_column: send_id
     */
    private String sendId;
    /**
     * 无效号码数       db_column: invalid_num
     */
    private Integer invalidNum;
    /**
     * 成功提交数       db_column: success_num
     */
    private Integer successNum;
    /**
     * 黑名单数       db_column: black_num
     */
    private Integer blackNum;
    /**
     * 返回消息       db_column: return_msg
     */
    private String returnMsg;

    private Long sendTime;
    /**
     * 1登录，2注册
     */
    private String validType;
//columns END

}
