
package io.platform.sys.service.client.api;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.platform.sys.dto.SysMetaProvinceDto;

import java.util.List;
import java.util.Map;
import io.platform.base.common.utils.ExecuteResult;

/**
 * Created by sevelli on 2017/8/31.
 */
public interface SysMetaProvinceServiceClient{
        /**
         * 根据ID 查询单个对象
         */
        SysMetaProvinceDto queryObject(Long id);
        /**
         * 根据参数查询 列表  无分页
         */
        List<SysMetaProvinceDto>queryList(Map<String, Object> map);
        /**
         * 根据参数查询 对应参数的 集合大小
         */
        int queryTotal(Map<String, Object> map);
        /**
         * 保存对象
         */
        ExecuteResult<String> save(SysMetaProvinceDto sysMetaProvinceDto);
        /**
         * 更新对象
         */
        ExecuteResult<String> update(SysMetaProvinceDto sysMetaProvinceDto);
        /**
         * 根据主键 删除对象
         */
        ExecuteResult<String> delete(Long id);
        /**
         * 根据主键集合 批量删除
         */
        ExecuteResult<String> deleteBatch(List<Long> idList);
        /**
         * 根据分页参数 获取 分页集合
         */
        Page<SysMetaProvinceDto>getPage(Page<SysMetaProvinceDto>page,SysMetaProvinceDto sysMetaProvinceDto);

        Object getProvinceAndCity();

}
