package io.platform.oss.biz.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("sys_oss")
public class SysOss extends Model<SysOss> implements Serializable {
    private static final long serialVersionUID = 5454155825314635345L;


    /**
     * id       db_column: id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * URL地址       db_column: url
     */
    @TableField("url")
    private String url;

    /**
     * 创建时间       db_column: create_date
     */
    @TableField("create_date")
    private java.util.Date createDate;
//columns END

}
