package io.platform.sys.biz.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("SYS_LOG")
@KeySequence(value="SEQ_SYS",clazz=String.class)
public class SysLog extends Model<SysLog>  implements Serializable{
private static final long serialVersionUID = 5454155825314635344L;


    /**
     * id       db_column: id
     */
    @TableId(value="ID", type= IdType.INPUT)
    private String id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * 用户名       db_column: username
     */
    @TableField("USERNAME")
    private String username;

    /**
     * 用户操作       db_column: operation
     */
    @TableField("OPERATION_DESC")
    private String operation;

    /**
     * 请求方法       db_column: method
     */
    @TableField("REQ_METHOD")
    private String method;

    /**
     * 请求参数       db_column: params
     */
    @TableField("REQ_PARAMS")
    private String params;

    /**
     * 执行时长(毫秒)       db_column: time
     */
    @TableField("EXEC_TIME")
    private Long time;

    /**
     * IP地址       db_column: ip
     */
    @TableField("IP")
    private String ip;

    /**
     * 创建时间       db_column: create_date
     */
    @TableField("CREATE_DATE")
    private java.util.Date createDate;
//columns END

}
