package io.platform.sys.biz.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import lombok.Data;

@Data
@TableName("SYS_MESSAGE")
@KeySequence(value="SEQ_BIZ",clazz=Long.class)
public class SysMessage extends Model<SysMessage>  implements Serializable{
private static final long serialVersionUID = 5454155825314635342L;


    /**
     * 主键       db_column: MAIN_ID
     */
    @TableId(value="MAIN_ID", type= IdType.INPUT)
    private Long mainId;


    @Override
    protected Serializable pkVal() {
        return this.mainId;
    }

    /**
     * 消息内容       db_column: MSG_CONTENT
     */
    @TableField("MSG_CONTENT")
    private String msgContent;

    /**
     * 创建时间       db_column: CREATE_TIME
     */
    @TableField("CREATE_TIME")
    private java.util.Date createTime;

    /**
     * 0系统消息1门店消息2经销商消息3车主消息       db_column: CONTENT_TYPE
     */
    @TableField("CONTENT_TYPE")
    private Long contentType;

    /**
     * 创建人       db_column: CREATE_USER
     */
    @TableField("CREATE_USER")
    private Long createUser;

    /**
     * 标题       db_column: MSG_TITLE
     */
    @TableField("MSG_TITLE")
    private String msgTitle;
//columns END

    @TableField("CREATE_USER_NAME")
    private String createUserName;


}
