package io.platform.sys.biz.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import lombok.Data;

@Data
@TableName("SYS_META_AREA")
@KeySequence(value="SEQ_BIZ",clazz=Long.class)
public class SysMetaArea extends Model<SysMetaArea>  implements Serializable{
private static final long serialVersionUID = 5454155825314635342L;



    /**
     * 主键       db_column: id
     */
    @TableField("ID")
    private Long id;

    /**
     * 编码       db_column: code
     */
    @TableField("CODE")
    private Object code;

    /**
     * 显示中文名       db_column: label
     */
    @TableField("LABEL")
    private Object label;

    /**
     * 父级城市名       db_column: parent_code
     */
    @TableField("PARENT_CODE")
    private Object parentCode;
//columns END

}
