package io.platform.sys.biz.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import lombok.Data;

@Data
@TableName("SYS_META_CITY")
@KeySequence(value="SEQ_BIZ",clazz=Long.class)
public class SysMetaCity extends Model<SysMetaCity>  implements Serializable{
private static final long serialVersionUID = 5454155825314635342L;


    /**
     * 主键       db_column: ID
     */
    @TableId(value="ID", type= IdType.INPUT)
    private Long id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * 编码       db_column: CODE
     */
    @TableField("CODE")
    private Long code;

    /**
     * label       db_column: LABEL
     */
    @TableField("LABEL")
    private String label;

    /**
     * 父级省编码       db_column: PARENT_CODE
     */
    @TableField("PARENT_CODE")
    private Long parentCode;
//columns END

}
