package io.platform.sys.biz.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import lombok.Data;

@Data
@TableName("SYS_OPREA_LOG")
@KeySequence(value="SEQ_SYS_OPREA_LOG",clazz=Long.class)
public class SysOpreaLog extends Model<SysOpreaLog>  implements Serializable{
private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: ID
     */
    @TableId(value="ID", type= IdType.INPUT)
    private Long id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * 操作       db_column: OPERATION
     */
    @TableField("OPERATION")
    private String operation;

    /**
     * 方法名       db_column: METHODNAME
     */
    @TableField("METHODNAME")
    private String methodname;

    /**
     * 参数       db_column: PARAMSNAME
     */
    @TableField("PARAMSNAME")
    private String paramsname;

    /**
     * ip地址       db_column: IPNAME
     */
    @TableField("IPNAME")
    private String ipname;

    /**
     * 操作时间       db_column: CREATEDATE
     */
    @TableField("CREATEDATE")
    private java.util.Date createdate;

    /**
     * 用户名       db_column: USERNAME
     */
    @TableField("USERNAME")
    private String username;
//columns END

}
