package io.platform.sys.biz.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@TableName("SYS_ROLE")
@KeySequence(value="SEQ_SYS",clazz=Long.class)
public class SysRole extends Model<SysRole>  implements Serializable{
private static final long serialVersionUID = 5454155825314635346L;


    /**
     * roleId       db_column: role_id
     */
    @TableId(value="ROLE_ID", type= IdType.INPUT)
    private Long roleId;


    @Override
    protected Serializable pkVal() {
        return this.roleId;
    }

    /**
     * 角色名称       db_column: role_name
     */
    @TableField("ROLE_NAME")
    private String roleName;

    /**
     * 备注       db_column: remark
     */
    @TableField("REMARK")
    private String remark;

    /**
     * 创建者ID       db_column: create_user_id
     */
    @TableField("CREATE_USER_ID")
    private Long createUserId;

    /**
     * 创建时间       db_column: create_time
     */
    @TableField("CREATE_TIME")
    private java.util.Date createTime;

    @TableField(exist=false)
    private List<Long> menuIdList;
//columns END

}
