package io.platform.sys.biz.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("SYS_ROLE_MENU")
@KeySequence(value="SEQ_SYS",clazz=Long.class)
public class SysRoleMenu extends Model<SysRoleMenu>  implements Serializable{
private static final long serialVersionUID = 5454155825314635347L;


    /**
     * id       db_column: id
     */
    @TableId(value="ID", type= IdType.INPUT)
    private Long id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * 角色ID       db_column: role_id
     */
    @TableField("ROLE_ID")
    private Long roleId;

    /**
     * 菜单ID       db_column: menu_id
     */
    @TableField("MENU_ID")
    private Long menuId;
//columns END

}
