package io.platform.sys.biz.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("SYS_USER_ROLE")
@KeySequence(value="SEQ_SYS",clazz=Long.class)
public class SysUserRole extends Model<SysUserRole>  implements Serializable{
private static final long serialVersionUID = 5454155825314635349L;


    /**
     * id       db_column: id
     */
    @TableId(value="MAIN_ID", type= IdType.INPUT)
    private Long id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * 用户ID       db_column: user_id
     */
    @TableField("USER_ID")
    private Long userId;

    /**
     * 角色ID       db_column: role_id
     */
    @TableField("ROLE_ID")
    private Long roleId;
//columns END

}
