package io.platform.sys.biz.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("TB_USER")
@KeySequence(value="SEQ_SYS",clazz=Long.class)
public class TbUser extends Model<TbUser>  implements Serializable{
private static final long serialVersionUID = 5454155825314635351L;


    /**
     * userId       db_column: user_id
     */
    @TableId(value="USER_ID", type= IdType.INPUT)
    private Long userId;


    @Override
    protected Serializable pkVal() {
        return this.userId;
    }

    /**
     * 用户名       db_column: username
     */
    @TableField("USERNAME")
    private String username;

    /**
     * 手机号       db_column: mobile
     */
    @TableField("MOBILE")
    private String mobile;

    /**
     * 密码       db_column: password
     */
    @TableField("PASSWORD")
    private String password;

    /**
     * 创建时间       db_column: create_time
     */
    @TableField("CREATE_TIME")
    private java.util.Date createTime;
//columns END

}
