package io.platform.sys.biz.mapper;

import io.platform.base.common.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import io.platform.sys.biz.entity.SysMenu;

import java.util.List;


/**
 * Created by sevelli on 2017/9/6.
 */
@Mapper
public interface SysMenuMapper extends BaseMapper<SysMenu> {
    /**
     * 根据父菜单，查询子菜单
     * @param parentId 父菜单ID
     */
    List<SysMenu> queryListParentId(Long parentId);

    /**
     * 获取不包含按钮的菜单列表
     */
    List<SysMenu> queryNotButtonList();
}
