package io.platform.sys.biz.mapper;

import io.platform.base.common.BaseMapper;
import io.platform.sys.biz.entity.SysUserRole;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


/**
 * Created by sevelli on 2017/9/6.
 */
@Mapper
public interface SysUserRoleMapper extends BaseMapper<SysUserRole> {

    /**
     * 根据用户ID，获取角色ID列表
     */
    List<Long> queryRoleIdList(Long userId);


    /**
     * 根据角色ID数组，批量删除
     */
    int deleteBatch(Long[] roleIds);
}
