package io.platform.base.common.utils;

import java.io.Serializable;

public class ResultJson<T> implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 7501328662375008187L;
	private String code = "";
	private String message = "";
	private T data = null;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}
	
	public T getData() {
		return data;
	}

	public void setData(T data) {
		this.data = data;
	}

	public void setResultEnum(ResultEnum resultenum){
		this.code = resultenum.getCode();
		this.message = resultenum.getMessage();
	}
}
