package io.platform.sys.dto;

import lombok.Data;

@Data
public class SysFileDto implements java.io.Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: ID
     */
    private Long id;
    /**
     * 文件名       db_column: FILE_NAME
     */
    private String fileName;
    /**
     * 访问URL       db_column: FILE_URL
     */
    private String fileUrl;
    /**
     * 文件类型，后缀名       db_column: FILE_TYPE
     */
    private String fileType;
    /**
     * 文件类型1本地，2七牛，3QQ,4阿里，5百度       db_column: FILE_STORE_TYPE
     */
    private Long fileStoreType;
    /**
     * createTime       db_column: CREATE_TIME
     */
    private java.util.Date createTime;
    /**
     * createUserId       db_column: CREATE_USER_ID
     */
    private Long createUserId;
    /**
     * createUsername       db_column: CREATE_USERNAME
     */
    private String createUsername;
    /**
     * filePath       db_column: FILE_PATH
     */
    private String filePath;
    /**
     * fileSize       db_column: FILE_SIZE
     */
    private Long fileSize;
    /**
     * 宽度       db_column: FILE_WIDTH
     */
    private Long fileWidth;
    /**
     * 高度       db_column: FILE_HEIGHT
     */
    private Long fileHeight;
    /**
     * 远程存储会有一个sn号       db_column: FILE_KEY
     */
    private String fileKey;
    /**
     * 用途 1用户， 2商品， 3品牌       db_column: USE_TYPE
     */
    private Long useType;
//columns END

}
