package io.platform.sys.dto;

import lombok.Data;

import java.util.List;

@Data
public class SysMenuDto implements java.io.Serializable {
    private static final long serialVersionUID = 5454155825314635444L;


    /**
     * menuId       db_column: menu_id
     */
    private Long menuId;
    /**
     * 父菜单ID，一级菜单为0       db_column: parent_id
     */
    private Long parentId;
    /**
     * 菜单名称       db_column: name
     */
    private String name;
    /**
     * 菜单URL       db_column: url
     */
    private String url;
    /**
     * 授权(多个用逗号分隔，如：user:list,user:create)       db_column: perms
     */
    private String perms;
    /**
     * 类型   0：目录   1：菜单   2：按钮       db_column: type
     */
    private Integer type;
    /**
     * 菜单图标       db_column: icon
     */
    private String icon;
    /**
     * 排序       db_column: order_num
     */
    private Integer orderNum;
    //columns END
    private String parentName;

    private Boolean open;

    private List<?> list;
}
