package io.platform.sys.biz.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("SYS_CONFIG")
@KeySequence(value="SEQ_SYS",clazz=Long.class)
public class SysConfig extends Model<SysConfig> implements Serializable{
private static final long serialVersionUID = 5454155825314635343L;


    /**
     * id       db_column: id
     */
    @TableId(value="MAIN_ID", type= IdType.INPUT)
    private Long id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * key       db_column: param_key
     */
    @TableField("PARAM_KEY")
    private String paramKey;

    /**
     * value       db_column: param_value
     */
    @TableField("PARAM_VALUE")
    private String paramValue;

    /**
     * 状态   0：隐藏   1：显示       db_column: status
     */
    @TableField("status")
    private Integer status;

    /**
     * 备注       db_column: remark
     */
    @TableField("PARAM_REMARK")
    private String remark;
    @TableField("PARAM_LABEL")
    private String paramLabel;
//columns END

}
