package io.platform.sys.biz.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.util.List;

import lombok.Data;

@Data
@TableName("SYS_META_PROVINCE")
@KeySequence(value="SEQ_BIZ",clazz=Long.class)
public class SysMetaProvince extends Model<SysMetaProvince>  implements Serializable{
private static final long serialVersionUID = 5454155825314635342L;


    /**
     * 主键       db_column: ID
     */
    @TableId(value="ID", type= IdType.INPUT)
    private Long id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * 编码       db_column: CODE
     */
    @TableField("CODE")
    private Long code;

    /**
     * 中文名       db_column: LABEL
     */
    @TableField("LABEL")
    private String label;
//columns END

    @TableField(exist = false)
    private List<SysMetaCity> citys;



}
