package io.platform.sys.biz.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("SYS_USER_TOKEN")
public class SysUserToken extends Model<SysUserToken>  implements Serializable{
private static final long serialVersionUID = 5454155825314635340L;


    /**
     * userId       db_column: user_id
     */
    @TableId(value="USER_ID", type= IdType.INPUT)
    private Long userId;


    @Override
    protected Serializable pkVal() {
        return this.userId;
    }

    /**
     * token       db_column: token
     */
    @TableField("TOKEN")
    private String token;

    /**
     * 过期时间       db_column: expire_time
     */
    @TableField("EXPIRE_TIME")
    private java.util.Date expireTime;

    /**
     * 更新时间       db_column: update_time
     */
    @TableField("UPDATE_TIME")
    private java.util.Date updateTime;
//columns END

}
